#include "mbed.h"

DigitalOut myled(LED1);
Serial pc(USBTX, USBRX); // tx, rx
//
// p11 mosi (master out slave in) out from mbed into propeller
// p12 miso (master in slave out) into mbed out from propeller
// p13 sclk (serial clock)        out from mbed into propeller  
//
SPI spi( p11, p12, p13 );

int main() {
    pc.printf( "system initialised\n" );
    spi.format( 16, 3 ); // 16 bit frames mode 3 (clk high, sample on rising edge, change on/after first low)
    // spi.frequency( 10000 ); // 10Khz (just fast enough from mbed and slowenough for spin interpreted driver) 
    spi.frequency( 1000000 ); // 1Mhz (default) 
    // wait for slave to sync to our nop signal
    bool insync = false;
    pc.printf( "vga slave sync up proceedure started:" );
    while( !insync )
    {
        int active = spi.write( 0 );
        if (active == 0x80A3) break;
        pc.printf( "[%x]", active );
        wait(0.25);
    }
    printf( "\nVGA slave insync\n" );
    int i = 0x12;
    while(1) {
        ++i;
        int r = spi.write( i );
        pc.printf( "spi send(%x) responce %x\n", i, r );
        myled = 1;
        wait(0.5);
        myled = 0;
        wait(1.5);
    }
}
